export class Resource {
  id: number;
  name: string;
  type: string;
  description?: string;
  queryable: number;
  downloadable: number;
  outputFormats: string[];

  constructor(resource?: IResource) {
    if (resource) {
      this.id = resource.id;
      this.name = resource.name;
      this.type = resource.type;
      this.description = resource.description;
      this.queryable = resource.queryable;
      this.downloadable = resource.downloadable;
      this.outputFormats = resource.outputFormats;
    } else {
      this.name = '';
      this.description = '';
      this.type = '';
      this.queryable = 0;
      this.downloadable = 0;
      this.outputFormats = [];
    }

  }
}

export class ResourceRO {
  resources: Resource[];
  totalCount: number;

  constructor(resources, totalCount) {
    this.resources = resources;
    this.totalCount = totalCount;
  }
}

export interface IResource {
  id: number;
  name: string;
  type: string;
  description: string;
  queryable: number;
  downloadable: number;
  outputFormats: string[];
}

interface ILink {
  id?: number;
  name: string;
  url: string;
  organizationId: number;
}
